Bug 1268084 - [abrt] python3-ipython-console: PyInit__libpycomps(): python3.4 killed by SIGSEGV
Summary: [abrt] python3-ipython-console: PyInit__libpycomps(): python3.4 killed by SIG...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: ipython
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Thomas Spura
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:3e87cb7dc6154a155d9d0bf1cd0...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-10-01 19:03 UTC by Allan Poulsen
Modified: 2016-07-19 18:05 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 18:05:08 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (69.13 KB, text/plain)
2015-10-01 19:03 UTC, Allan Poulsen
no flags Details
File: cgroup (190 bytes, text/plain)
2015-10-01 19:03 UTC, Allan Poulsen
no flags Details
File: core_backtrace (28.37 KB, text/plain)
2015-10-01 19:03 UTC, Allan Poulsen
no flags Details
File: dso_list (19.31 KB, text/plain)
2015-10-01 19:03 UTC, Allan Poulsen
no flags Details
File: environ (7.21 KB, text/plain)
2015-10-01 19:03 UTC, Allan Poulsen
no flags Details
File: limits (1.29 KB, text/plain)
2015-10-01 19:03 UTC, Allan Poulsen
no flags Details
File: maps (90.64 KB, text/plain)
2015-10-01 19:03 UTC, Allan Poulsen
no flags Details
File: mountinfo (3.87 KB, text/plain)
2015-10-01 19:03 UTC, Allan Poulsen
no flags Details
File: namespaces (85 bytes, text/plain)
2015-10-01 19:03 UTC, Allan Poulsen
no flags Details
File: open_fds (2.59 KB, text/plain)
2015-10-01 19:03 UTC, Allan Poulsen
no flags Details
File: proc_pid_status (1.02 KB, text/plain)
2015-10-01 19:04 UTC, Allan Poulsen
no flags Details
File: var_log_messages (28 bytes, text/plain)
2015-10-01 19:04 UTC, Allan Poulsen
no flags Details
python3-valgrind.log (2.74 MB, text/plain)
2015-10-23 13:31 UTC, Allan Poulsen
no flags Details
file: python3-backtrace.log (34.36 KB, text/plain)
2015-10-23 13:34 UTC, Allan Poulsen
no flags Details
file: python3-packages-installed.txt (11.06 KB, text/plain)
2015-10-23 13:41 UTC, Allan Poulsen
no flags Details

Description Allan Poulsen 2015-10-01 19:03:38 UTC
Description of problem:
From within ipython3 I performed help() followed by modules. Python3 crashed with a stack-trace originating from somewhere within libcomps:

Program received signal SIGSEGV, Segmentation fault.
0x00007fffd46f1687 in PyInit__libpycomps () at /usr/src/debug/libcomps-e11ff1b16f901139ee4e9d6ccc9219982ceaebd5/py3/libcomps/src/python/src/pycomps.c:1038
1038        Py_INCREF(PyCOMPSExc_ParserError);

I can reproduce it on my system anytime.

Version-Release number of selected component:
python3-ipython-console-2.4.1-8.fc22

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/bin/python3 /bin/ipython3
crash_function: PyInit__libpycomps
executable:     /usr/bin/python3.4
global_pid:     9070
kernel:         4.1.7-200.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 0 (10 frames)
 #0 PyInit__libpycomps at /usr/src/debug/libcomps-e11ff1b16f901139ee4e9d6ccc9219982ceaebd5/py3/libcomps/src/python/src/pycomps.c:1038
 #1 _PyImport_LoadDynamicModule at /usr/src/debug/Python-3.4.2/Python/importdl.c:88
 #2 _imp_load_dynamic at /usr/src/debug/Python-3.4.2/Python/import.c:2263
 #4 PyEval_EvalFrameEx at /usr/src/debug/Python-3.4.2/Python/ceval.c:4584
 #6 PyEval_EvalCodeEx at /usr/src/debug/Python-3.4.2/Python/ceval.c:3614
 #7 PyEval_EvalFrameEx at /usr/src/debug/Python-3.4.2/Python/ceval.c:4370
 #10 PyEval_EvalCodeEx at /usr/src/debug/Python-3.4.2/Python/ceval.c:3614
 #11 function_call at /usr/src/debug/Python-3.4.2/Objects/funcobject.c:632
 #12 PyObject_Call at /usr/src/debug/Python-3.4.2/Objects/abstract.c:2067
 #13 PyEval_EvalFrameEx at /usr/src/debug/Python-3.4.2/Python/ceval.c:4587

Comment 1 Allan Poulsen 2015-10-01 19:03:43 UTC
Created attachment 1079227 [details]
File: backtrace

Comment 2 Allan Poulsen 2015-10-01 19:03:44 UTC
Created attachment 1079228 [details]
File: cgroup

Comment 3 Allan Poulsen 2015-10-01 19:03:46 UTC
Created attachment 1079229 [details]
File: core_backtrace

Comment 4 Allan Poulsen 2015-10-01 19:03:48 UTC
Created attachment 1079230 [details]
File: dso_list

Comment 5 Allan Poulsen 2015-10-01 19:03:50 UTC
Created attachment 1079231 [details]
File: environ

Comment 6 Allan Poulsen 2015-10-01 19:03:52 UTC
Created attachment 1079232 [details]
File: limits

Comment 7 Allan Poulsen 2015-10-01 19:03:54 UTC
Created attachment 1079233 [details]
File: maps

Comment 8 Allan Poulsen 2015-10-01 19:03:55 UTC
Created attachment 1079234 [details]
File: mountinfo

Comment 9 Allan Poulsen 2015-10-01 19:03:57 UTC
Created attachment 1079235 [details]
File: namespaces

Comment 10 Allan Poulsen 2015-10-01 19:03:59 UTC
Created attachment 1079236 [details]
File: open_fds

Comment 11 Allan Poulsen 2015-10-01 19:04:00 UTC
Created attachment 1079237 [details]
File: proc_pid_status

Comment 12 Allan Poulsen 2015-10-01 19:04:02 UTC
Created attachment 1079238 [details]
File: var_log_messages

Comment 13 Orion Poplawski 2015-10-01 19:39:49 UTC
I can't reproduce this on my system.  Do you get any useful information if you run ipython3 under valgrind?

Comment 14 Allan Poulsen 2015-10-23 13:30:48 UTC
I have reduced the problem to the simplest I currently can do:
If I run python3 from within gdb I get the current backtrace (python3-backtrace.log)

Also I tried the suggestion of running python3 with valgrind (--check-leaks=full) result is in python3-valgrind.log.

Comment 15 Allan Poulsen 2015-10-23 13:31:51 UTC
Created attachment 1085847 [details]
python3-valgrind.log

Comment 16 Allan Poulsen 2015-10-23 13:34:12 UTC
Created attachment 1085848 [details]
file: python3-backtrace.log

Comment 17 Allan Poulsen 2015-10-23 13:41:09 UTC
Created attachment 1085849 [details]
file: python3-packages-installed.txt

Comment 18 Fedora End Of Life 2016-07-19 18:05:08 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.